package com.yd.dal.mapper.lifecommission;

import com.yd.api.commission.vo.lifecommission.ComeCommissionVO;
import com.yd.api.commission.vo.lifecommission.QueryComeCommissionListRequestVO;
import com.yd.dal.entity.commission.OrderCommissonCheck;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface LifeCommissionMapper {
    List<ComeCommissionVO> queryComeCommissionList(QueryComeCommissionListRequestVO requestVO);

    void setOrderCommissionCheckId(@Param("list")List<Long> orderIds, @Param("paramMap")Map<String, Object> paramMap);

    void insertOrderCommissionCheck(OrderCommissonCheck orderCommissonCheck);

    List<OrderCommissonCheck> findByCheckYearmonth(String orderCommissionCheckBatch);

    Map<String, Object> getSummaries(QueryComeCommissionListRequestVO requestVO);

    List<String> querycheckBatchList();

    Integer queryLifePractitionerCount(QueryComeCommissionListRequestVO requestVO);
}
